## backblaze-b2 1.1.0

=== requirements.txt ===
arrow>=0.8.0
logfury>=0.1.2
requests>=2.9.1
six>=1.10
tqdm>=4.5.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = B2_Command_Line_Tool
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
backblaze-b2 (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update man pages

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 04 Dec 2017 08:43:40 +0100

backblaze-b2 (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Change maintainer to Python Applications Packaging Team

  [ Ondřej Kobližek ]
  * Rename binary from b2 -> backblaze-b2. (Closes: #883137)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 30 Nov 2017 14:08:46 +0100

backblaze-b2 (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #874639)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 14 Nov 2017 07:17:18 +0100

=== debian/control ===
Source: backblaze-b2
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondřej Kobližek <koblizeko@gmail.com>,
           Ondřej Nový <onovy@debian.org>,
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               pylint3 (>= 1.4.5),
               python3-all,
               python3-logfury,
               python3-mock,
               python3-nose,
               python3-pyflakes,
               python3-setuptools,
               python3-tqdm,
               yapf,
               yapf3,
Build-Depends-Indep: python3-arrow (>= 0.8.0),
                     python3-requests (>= 2.9.1),
                     python3-six (>= 1.10),
Standards-Version: 4.1.1
Homepage: https://github.com/Backblaze/B2_Command_Line_Tool
X-Python3-Version: >= 3.3
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/backblaze-b2/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/backblaze-b2/trunk/

Package: backblaze-b2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Command Line Tool for Backblaze B2
 The command-line tool that gives easy access to all of the capabilities
 of B2 Cloud Storage.
 This program provides command-line access to the B2 service.
 .
 Usage: For more details try command: backblaze-b2 help

## backblaze-b2 1.3.6

=== debian/changelog ===
backblaze-b2 (1.3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #903519)
  * d/control: Remove ancient X-Python3-Version field
  * Rebase patches
  * Bump standards version to 4.2.1 (no changes)
  * Bump debhelper compat level to 11
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 11:49:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ondřej Nový <onovy@debian.org>,
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                pylint3 (>= 1.4.5),
                python3-all,
@@ -19,11 +19,10 @@
 Build-Depends-Indep: python3-arrow (>= 0.8.0),
                      python3-requests (>= 2.9.1),
                      python3-six (>= 1.10),
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/Backblaze/B2_Command_Line_Tool
-X-Python3-Version: >= 3.3
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/backblaze-b2/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/backblaze-b2/trunk/
+Vcs-Browser: https://salsa.debian.org/python-team/applications/backblaze-b2
+Vcs-Git: https://salsa.debian.org/python-team/applications/backblaze-b2.git
 
 Package: backblaze-b2
 Architecture: all

## backblaze-b2 1.3.8

=== Makefile ===
help: ## Show this help.
	@fgrep -h "##" Makefile | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##//'
	@echo ""
	@echo "To see doc options, cd to doc and type \"make\""

.PHONY: setup
setup: ## Set up (to run tests) using your current python environment
setup: ## and enable pre-commit hook for this repo only.
	python -m pip install -r requirements-test.txt
	ln -s $(PWD)/pre-commit.sh .git/hooks/pre-commit || true

.PHONY: test
test:  ## Run unit tests
	./run-unit-tests.sh

.PHONY:
format:	## Format code using yapf
	yapf --verbose --in-place --parallel --recursive --exclude '*eggs/*' .

.PHONY: clean
clean: ## Remove stuff you can regenerate
	rm -rf b2.egg-info build TAGS
	find . -name __pycache__ | xargs rm -rf
	find . -name \*~ -o -name \*.pyc | xargs rm -f

=== requirements.txt ===
arrow>=0.8.0,<0.12.1
logfury>=0.1.2
requests>=2.9.1
six>=1.10
tqdm>=4.5.0
futures>=3.0.5; python_version < '3.2'

=== debian/changelog ===
backblaze-b2 (1.3.8-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-arrow,
      python3-requests and python3-six.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 18:52:43 +0000

backblaze-b2 (1.3.8-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Sep 2021 20:21:59 -0400

backblaze-b2 (1.3.8-4) unstable; urgency=medium

  * Drop yapf from B-D (Closes: #948084).

 -- Ondřej Nový <onovy@debian.org>  Sat, 04 Jan 2020 19:31:22 +0100

backblaze-b2 (1.3.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gianfranco Costamagna ]
  * Team upload
  * Build depend on pylint, not old pylint3 package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 15:21:05 +0100

backblaze-b2 (1.3.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Ondřej Kobližek ]
  * Remove untrue reference about full doc in Texinfo manual from man pages.
    (Closes: #927048)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 06 Aug 2019 02:13:35 +0200

backblaze-b2 (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 23:22:03 +0100

=== debian/control ===
Source: backblaze-b2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Kobližek <koblizeko@gmail.com>,
           Ondřej Nový <onovy@debian.org>,
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pylint,
               python3-all,
               python3-logfury,
               python3-mock,
               python3-nose,
               python3-pyflakes,
               python3-setuptools,
               python3-tqdm,
               yapf3,
Build-Depends-Indep: python3-arrow,
                     python3-requests,
                     python3-six,
Standards-Version: 4.5.0
Homepage: https://github.com/Backblaze/B2_Command_Line_Tool
Vcs-Browser: https://salsa.debian.org/python-team/packages/backblaze-b2
Vcs-Git: https://salsa.debian.org/python-team/packages/backblaze-b2.git

Package: backblaze-b2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Command Line Tool for Backblaze B2
 The command-line tool that gives easy access to all of the capabilities
 of B2 Cloud Storage.
 This program provides command-line access to the B2 service.
 .
 Usage: For more details try command: backblaze-b2 help

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = backblaze-b2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} setup.py nosetests" \
		LC_ALL=C.UTF-8 \
		dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

## backblaze-b2 3.19.1

=== debian/changelog ===
backblaze-b2 (3.19.1-4) unstable; urgency=medium

  * Team upload.
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083308)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 10:58:29 +0100

backblaze-b2 (3.19.1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop unused build-dependency on python3-pdm.
  * debian/control: Add missing build-dependency pybuild-plugin-pyproject.
  * debian/control: Drop build-dependency on python3-build. It is
    introduced implicitly by pybuild-plugin-pyproject.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Jul 2024 13:24:29 -0400

backblaze-b2 (3.19.1-2) unstable; urgency=medium

  * Team Upload
  * Revert program rename /usr/bin{b2,backblaze-b2} (Closes: #1076626)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 14:38:20 +0200

backblaze-b2 (3.19.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.19.0 (Closes: #1019925, #1066743)
  * remove old dependencies:
    * python3-logfury
    * python3-mock
    * python3-nose (Closes: #1018311)
    * python3-pyflakes
    * python3-setuptools
    * python3-six
  * add new dependencies:
    * python3-argcomplete
    * python3-build
    * python3-more-itertools
    * python3-pdm
    * python3-pdm-backend
    * python3-pexpect
    * python3-phx-class-registry
    * python3-rst2ansi
    * python3-tabulate
    * pytest
  * use new dh-sequence-python3
  * set "Rules-Requires-Root: no"

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 19 Jul 2024 16:35:25 +0200

=== debian/control ===
Source: backblaze-b2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Kobližek <koblizeko@gmail.com>,
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               pylint,
               python3-all,
               python3-argcomplete,
               python3-arrow,
               python3-backoff,
               python3-b2sdk (>= 2.1.0-1~),
               python3-more-itertools <!nocheck>,
               python3-pdm-backend,
               python3-phx-class-registry,
               python3-pexpect <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-rst2ansi,
               python3-tqdm,
               python3-tabulate,
               yapf3,
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/Backblaze/B2_Command_Line_Tool
Vcs-Browser: https://salsa.debian.org/python-team/packages/backblaze-b2
Vcs-Git: https://salsa.debian.org/python-team/packages/backblaze-b2.git

Package: backblaze-b2
Architecture: all
Depends: python3-b2sdk (>= 2.1.0-1~),
         ${misc:Depends},
         ${python3:Depends},
Description: Command Line Tool for Backblaze B2
 The command-line tool that gives easy access to all of the capabilities
 of B2 Cloud Storage.
 This program provides command-line access to the B2 service.
 .
 Usage: For more details try command: backblaze-b2 help

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = backblaze-b2
export PYBUILD_BEFORE_TEST=ln -s {dir}/README.md {build_dir}/README.md
export PYBUILD_TEST_ARGS=-n=1 \
                         --ignore=test/integration/test_b2_command_line.py \
                         --ignore=test/unit/_cli/test_autocomplete_install.py \
                         --ignore=test/unit/_utils/test_uri.py \
                         --ignore=test/unit/console_tool/test_install_autocomplete.py \
                         -k '    not test_autocomplete_b2__download_file__b2uri \
                             and not test_readable_yaml_dump \
                             and not test_validated_loads \
                             and not test_detect_shell \
                             and not test_b2fileuri_str \
                            '
export PYBUILD_AFTER_TEST=rm -v {build_dir}/README.md

# tests triggers "AssertionError: previous item was not torn down properly" at random

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PATH=../scripts/:$(PATH) PYTHONPATH=. dh_auto_test || true

execute_after_dh_python3:
	find debian/ -name "README.md" -print -delete
	mv -v debian/backblaze-b2/usr/bin/b2 debian/backblaze-b2/usr/bin/backblaze-b2

=== debian/tests/control ===
Depends: backblaze-b2,
Test-Command: HOME=$AUTOPKGTEST_TMP backblaze-b2 --help 2>&1 | grep -q "This program provides command-line access to the B2 service."

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/backblaze-b2-$1\.tar\.gz/ \
  https://github.com/Backblaze/B2_Command_Line_Tool/tags .*/v?(\d\S*)\.tar\.gz
